---
layout: default
title: Applications Supporting GitLab
suppress_header: true
extra_css:
  - applications.css
---
<div class="wrapper">
  <div class="application-container">
    <div class="application-overlay">
      <div class="application-content">
        <h1>Applications Supporting GitLab</h1>
      </div>
    </div>
  </div>

  <div class="container">
    <div class="container-text">
      <p>Every application that supports Git will work with GitLab.
        Below are some of the applications we wanted to highlight.
        You can use the <a href="http://doc.gitlab.com/ce/api/">GitLab API</a> to add support for GitLab.
        Please file a <a href="https://gitlab.com/gitlab-com/www-gitlab-com/merge_requests?assignee_id=&label_name=&milestone_id=&scope=all&sort=newest&state=all">merge request</a>
        to add a new application to the list.</p>

      <hr id="native-apps" />
      <h2>Native Apps</h2>

      <div class="row">
        <div class="col-md-4">
          <div class="app">
            <h4>GitLab Control</h4>
            <p>
An iOS app for managing your GitLab projects on iPhone or iPad. GitLab Control gives you full access to your GitLab projects with the built in code viewer and search tools. You can fully navigate your code tree, issues, milestones and code snippets or search for any filenames, IDs or labels. You can also capture, organise and prioritise your team’s issues, and stay up-to-date using activity streams displaying commits, issues, and more across all repositories.</p>
            <a href="http://gitlabcontrol.com/">gitlabcontrol.com</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
            <h4>Android GitLab</h4>
            <p>GitLab on Android, featuring full material design, and open sourced.</p>
            <a href="https://play.google.com/store/apps/details?id=com.commit451.gitlab&hl=en">Play Store</a>
            <a href="https://gitlab.com/Commit451/GitLabAndroid">Repository</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
            <h4>Chrome GitLab Notifier</h4>
            <p>Third party notifier for GitLab events (Commit, Issue, MergeRequest and Milestone).</p>
            <a href="https://chrome.google.com/webstore/detail/gitlab-notifier-for-googl/eageapgbnjicdjjihgclpclilenjbobi">Chrome App Store</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
            <h4>Working Copy</h4>
            <p>Full featured Git client for iPhone and iPad.</p>
            <a href="http://WorkingCopyApp.com/">workingcopyapp.com</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
            <h4>Trident</h4>
            <p>A beautiful GitLab client for iOS.</p>
            <a href="http://www.somerobots.com/">somerobots.com</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
            <h4>Octotree Chrome Extension</h4>
            <p>Octotree adds a sidebar to GitLab with all files of the project
              you're looking at. Highly recommended.</p>
            <a href="https://chrome.google.com/webstore/detail/octotree/bkhaagjahfmjljalopjnoealnfndnagc/related">Octotree on the Chrome Web Store</a>
          </div>
        </div>
      </div>

      <hr id="cli-clients" />

      <h2>Command Line Interface (CLI) Clients</h2>

      <div class="row">
        <div class="col-md-4">
          <div class="app">
            <h4>Narkoz's Ruby wrapper &amp; CLI</h4>
            <p>Ruby wrapper and CLI for GitLab REST API.</p>
            <a href="https://github.com/NARKOZ/gitlab">Repository on GitHub</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
            <h4>Numa08's lab</h4>
            <p>Git::Gitlab is a GitLab command line interface.</p>
            <a href="https://github.com/numa08/git-gitlab">Repository on GitHub</a>
          </div>
        </div>

        <div class="col-md-4">
          <div class="app">
            <h4>Bor-sh's git-gitlab</h4>
            <p>Yet another GitLab command line interface.</p>
            <a href="https://gitlab.com/bor-sh/git-gitlab">Repository on GitLab</a>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-md-4">
          <div class="app">
            <h4>Drew Blessing's GitLab CLI Tool</h4>
            <p>Interact with your GitLab server via the command line to manage snippets, projects and more.</p>
             <a href="https://github.com/drewblessing/gitlab-cli">Repository on GitHub</a>
          </div>
        </div>

        <div class="col-md-4">
          <div class="app">
            <h4>GoTsunami's GitLab Copy Tool</h4>
            <p>Copy issues (with labels, milestones and notes) from one GitLab project to another, possibly running on different GitLab instances.</p>
             <a href="https://github.com/gotsunami/gitlab-copy">Repository on GitHub</a>
          </div>
        </div>
      </div>

      <hr id="api-clients" />

      <h2>API Clients</h2>

      <div class="row">
        <div class="col-md-4">
          <div class="app">
            <h4>Narkoz's Ruby wrapper &amp; CLI</h4>
            <p>Ruby wrapper and CLI for GitLab REST API.</p>
            <a href="https://github.com/NARKOZ/gitlab">Repository on GitHub</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
            <h4>Perl</h4>
            <p>Net::GitLab Perl Client talks to a GitLab installation via its API.</p>
            <a href="https://metacpan.org/release/AYOUNG/Net-Gitlab-0.05">Repository on matacpan.org</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
            <h4>Perl</h4>
            <p>Perl Client is a complete GitLab API v3 client.</p>
            <br><a href="https://metacpan.org/pod/GitLab::API::v3">Distribution on MetaCPAN</a>
            <br><a href="https://github.com/bluefeet/GitLab-API-v3">Repository on GitHub</a>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-md-4">
          <div class="app">
            <h4>Python</h4>
            <p>Python GitLab is a Python wrapper for the GitLab API</p>
            <a href="https://github.com/gpocentek/python-gitlab">Repository on GitHub</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
            <h4>Python</h4>
            <p>PyAPI-GitLab is a Python wrapper for the GitLab API.</p>
            <a href="https://github.com/Itxaka/pyapi-gitlab">Repository on GitHub</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
           <h4>Python</h4>
            <p>libsaas_gitlab is a Python wrapper based on libsaas</p>
            <a href="https://gitlab.com/bor-sh-infrastructure/libsaas_gitlab">Repository on GitLab</a>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-md-4">
          <div class="app">
            <h4>Go</h4>
            <p>Go GitLab Client is a 100% complete GitLab API v3 client.</p>
            <a href="https://github.com/xanzy/go-gitlab">Repository on GitHub</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
            <h4>Go</h4>
            <p>Go GitLab Client for GitLab.</p>
            <a href="https://github.com/Bugagazavr/go-gitlab-client">Repository on GitHub</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
            <h4>Swift</h4>
            <p>GitLabKit is an API client library for the GitLab API, written in Swift.</p>
            <a href="https://github.com/orih/GitLabKit">Repository on GitHub</a>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-md-4">
          <div class="app">
            <h4>Backbone</h4>
            <p>Backbone for GitLab is a Backbone client library for the GitLab API</p>
            <a href="https://github.com/oreillymedia/backbone-gitlab/">Repository on GitHub</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
            <h4>Node</h4>
            <p>GitLab-Yaac (Node Package Manager) is aGitLab API client with more control over server response</p>
            <a href="https://www.npmjs.com/package/gitlab-yaac">Repository on GitHub</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
            <h4>Node</h4>
            <p>Node GitLab is a GitLab API Node.js library.</p>
            <a href="https://github.com/moul/node-gitlab">Repository on GitHub</a>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-md-4">
          <div class="app">
            <h4>PHP</h4>
            <p>PHP-GitLab-API is aGitLab API client for PHP</p>
            <a href="https://github.com/m4tthumphrey/php-gitlab-api">Repository on GitHub</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
            <h4>Laravel</h4>
            <p>Laravel GitLab is a Laravel bridge for GitLab</p>
            <a href="https://github.com/vinkla/gitlab">Repository on GitHub</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
            <h4>Java</h4>
            <p>Java GitLab API is a wrapper for the GitLab API written in Java</p>
            <a href="https://github.com/timols/java-gitlab-api">Repository on GitHub</a>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-md-4">
          <div class="app">
            <h4>.NET</h4>
            <p>NGitLab is a .NET client for GitLab.</p>
            <a href="https://github.com/Scooletz/NGitLab">Repository on GitHub</a>
          </div>
        </div>
      </div>

      <hr id="utilities" />

      <h2>Utilities</h2>

      <div class="row">
        <div class="col-md-4">
          <div class="app">
          <h4>Mirror a GitHub project to GitLab</h4>
          <p>github2gitlab is a command line tool to mirror the git repository and the pull requests of a GitHub project to GitLab. As of version 7.7.0 GitLab also <a href="http://doc.gitlab.com/ce/workflow/importing/import_projects_from_github.html">includes a GitHub importer</a> that transfers issues and comments.</p>
          <a href="https://pypi.python.org/pypi/github2gitlab">Home Page</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
          <h4>Usersnap</h4>
          <p>Add annotated screenshots to every issue in GitLab. A picture paints a thousand words, so reproducing the bug gets as simple as possible.</p>
          <a href="https://usersnap.com/gitlab">www.usersnap.com</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
          <h4>GitLab Identity Connector</h4>
          <p>Identity connector for GitLab written using ConnId framework. The
            connector can be used to access GitLab from <a href="http://midpoint.evolveum.com/">midPoint</a>
            identity management system.</p>
          <a href="https://github.com/Evolveum/connector-gitlab">Repository on GitHub</a>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-md-4">
          <div class="app">
            <h4>create-gitlab-repo</h4>
            <p>Simple script creating a GitLab project from the local
                repository in the current directory.</p>
            <a href="https://gitlab.com/mcepl/create-gitlab-repo">Repository</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
            <h4>GitLab Listener</h4>
            <p>JIRA add-on allowing the reception of GitLab push events using GitLab project web hooks.</p>
            <a href="https://marketplace.atlassian.com/plugins/com.allenta.jira.plugins.gitlab.gitlab-listener">Atlassian Marketplace</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
            <h4>GitLab IRC gateway</h4>
            <p>IRC notifications using web hooks, implemented with the <a href="http://www.catb.org/esr/irker/">irker IRC bot</a>.</p>
            <a href="https://gitlab.com/anarcat/irklab">Repository on gitlab.com</a>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-md-4">
          <div class="app">
            <h4>Envoyer</h4>
            <p>
              Zero Downtime PHP Deployments.
            </p>
            <a href="https://envoyer.io/">Envoyer.io</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
            <h4>YouTrack</h4>
            <p>When you type any YouTrack command in a VCS commit comment, it is applied to the issue associated with that commit.</p>
            <a href="https://www.jetbrains.com/youtrack/features/integrations.html">YouTrack</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
            <h4>Teamweek</h4>
            <p>Teamweek gives you the simplicity of an Excel sheet in a web-based, multi-user environment. It helps you schedule, manage and share tasks.</p>
            <a href="https://teamweek.com/">Teamweek</a>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-md-4">
          <div class="app">
            <h4>Toggl</h4>
            <p>Time tracker that is built for speed and ease of use.</p>
            <a href="https://www.toggl.com/tools">Toggl</a>
          </div>
        </div>

        <div class="col-md-4">
          <div class="app">
            <h4>emacs-gitlab</h4>
            <p>A REST client to the GitLab API with an Emacs HELM interface</p>
            <a href="https://github.com/nlamirault/emacs-gitlab">emacs-gitlab</a>
          </div>
        </div>

        <div class="col-md-4">
          <div class="app">
            <h4>Review Board</h4>
            <p>A web-based collaborative code review tool</p>
            <a href="https://www.reviewboard.org/">Review Board</a>
          </div>
        </div>
      </div>

      <hr id="continuous-integration" />

      <h2>Continuous Integration</h2>

      <div class="row">
        <div class="col-md-4">
          <div class="app">
            <h4>GitLab CI</h4>
            <p>GitLab Continuous Integration (CI) integrates with your GitLab installation to run tests for your projects.
              Login with GitLab account, add a project with one click and enjoy running your tests.
              GitLab CI is on-premises software that you can install and use on your server(s) and is supported by GitLab the company.</p>
            <a href="https://about.gitlab.com/gitlab-ci/">GitLab CI</a>

          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
            <h4>Magnum CI</h4>
            <p>Hosted Continuous Integration and Delivery Platform</p>
            <a href="http://blog.magnum-ci.com/post/55149963415/integration-with-gitlab">Magnum CI Integration with GitLab</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
            <h4>BuildKite</h4>
            <p>BuildKite runs builds on GitLab commits, either on self-hosted GitLab repositories or GitLab.com.</p>
            <a href="https://buildkite.com/docs/guides/gitlab">BuildKite</a>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-md-4">
          <div class="app">
            <h4>StriderCD</h4>
            <p>StriderCD is an open-source continuous integration tool that integrates well with GitLab.</p>
            <a href="http://strider.readthedocs.org/en/latest/intro.html">StriderCD</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
            <h4>TeamCity</h4>
            <p>One reason TeamCity is dubbed an "Intelligent CI server" is its approach to integration. You get all this support without installing any plugins and with no modifications to build scripts.</p>
            <a href="https://www.jetbrains.com/teamcity/features/">TeamCity</a>
          </div>
        </div>

      </div>

      <hr id="cms-plugins" />

      <h2 >CMS Plugins</h2>

      <div class="row">
        <div class="col-md-4">
          <div class="app">
            <h4>Drupal Plugin</h4>
            <p>Connect your Drupal site to a GitLab instance using web services.
            This is purely an API module. You should only enable it if another module requires it or if you want to build code against this API.</p>
            <a href="https://www.drupal.org/project/gitlab">www.drupal.org</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
            <h4>Dropfort</h4>
            <p>Dropfort helps you to organize your Drupal projects and manage your sites in one simple interface.</p>
            <a href="http://dropfort.com">www.dropfort.com</a>
          </div>
        </div>
      </div>

      <hr id="gui-git-clients" />

      <h2>GUI Git Clients</h2>

      <div class="row">
        <div class="col-md-4">
          <div class="app">
            <h4>All GUI Clients</h4>
            <p>All Git GUI Clients from all companies are compatible with GitLab.</p>
            <a href="http://git-scm.com/downloads/guis">http://git-scm.com/downloads/guis</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
            <h4>Git Tower</h4>
            <p>Easy version control in a beautiful, efficient, and powerful app for Mac OS X.</p>
            <a href="http://www.git-tower.com/">www.git-tower.com</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
            <h4>Eclipse</h4>
            <p>Eclipse has the Egit Team provider that also supports GitLab.</p>
            <a href="https://projects.eclipse.org/projects/technology.egit">Eclipse Git Team Provider</a>
            <a href="http://wiki.eclipse.org/EGit/User_Guide#Working_with_remote_Repositories">Working with remote repositories</a>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-md-4">
          <div class="app">
            <h4>JetBrains</h4>
              <p>Lets you interact with gitlab from within your IDE.</p>
              <a href="https://plugins.jetbrains.com/plugin/7447?pr=idea">JetBrains integration plugin</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
            <h4>Visual Studio</h4>
              <p>The Visual Studio Tools for Git is an extension for Team Explorer that provides source control integration for Git.</p>
              <a href="https://visualstudiogallery.msdn.microsoft.com/abafc7d6-dcaa-40f4-8a5e-d6724bdb980c">visualstudiogallery</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
            <h4>SourceTree</h4>
              <p>The SourceTree application for Mac and Windows created by Atlassian also supports GitLab.</p>
              <a href="http://www.sourcetreeapp.com/">www.sourcetreeapp.com</a>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-md-4">
          <div class="app">
            <h4>PhpStorm</h4>
            <p>This IDE for the PHP programming language has a GitLab plugin.</p>
            <a href="https://plugins.jetbrains.com/plugin/7319?pr=phpStorm">Plugin on the Jetbrains site</a>
          </div>
        </div>
      </div>

      <hr id="performance-measurement" />

      <h2>Performance measurement</h2>

      <div class="row">
        <div class="col-md-4">
          <div class="app">
            <h4>AppSignal</h4>
            <p>AppSignal <a href="http://blog.appsignal.com/blog/2015/01/20/gitlab-integration.html">support GitLab</a> and can monitor both Rails and Sidekiq.</p>
            <a href="https://appsignal.com/">appsignal.com</a>
          </div>
        </div>

        <div class="col-md-4">
          <div class="app">
            <h4>Opbeat</h4>
            <p>Application monitoring for developers with Git integration for faster debugging.</p>
            <a href="https://opbeat.com/">opbeat.com</a>
            <br />
            <a href="https://opbeat.com/docs/articles/gitlab-integration/">GitLab integration</a>
          </div>
        </div>

        <div class="col-md-4">
          <div class="app">
            <h4>Munin Plugins</h4>
            <p>Plugins for monitoring a GitLab instance with munin.</p>
            <a href="https://github.com/MatthiasLohr/munin-plugins-gitlab">Plugins on GitHub</a>
          </div>
        </div>
      </div>

      <hr />

      <h2>Login with your GitLab.com account</h2>

      <div class="row">
        <div class="col-md-4">
          <div class="app">
            <h4>OAuth2 service provider</h4>
            <p>Using the OAuth2 service provider to sign into other services.</p>
            <a href="https://gitlab.com/gitlab-org/gitlab-ce/blob/master/doc/integration/oauth_provider.md">GitLab as OAuth2 authentication service provider</a>
          </div>
        </div>
      </div>

      <hr id="scrum-boards" />

      <h2>Scrum boards</h2>

      <div class="row"> <!-- first row start -->
        <div class="col-md-4">
          <div class="app">
            <h4>Taiga.io</h4>
            <p>Free. Open Source. Powerful. Taiga is a project management platform for startups and agile developers and designers who want a simple, beautiful tool that makes work truly enjoyable.</p>
            <a href="https://taiga.io/">Taiga.io</a>
          </div>
        </div>

        <div class="col-md-4">
          <div class="app">
            <h4>Kanboard</h4>
            <p>A free, open source and self-hosted visual task board software.
               GitLab events can be connected to Kanboard's automatic actions through
               <a href="http://kanboard.net/documentation/gitlab-webhooks">GitLab web hooks</a> and <a href="http://kanboard.net/documentation/gitlab-authentication">GitLab authentication</a>.</p>
            <a href="http://kanboard.net">kanboard.net</a>
          </div>
        </div>

        <div class="col-md-4">
          <div class="app">
            <h4>GitLab Kanban</h4>
            <p>Self hosted kanban board built from the ground up using the GitLab public API.
            Kanban issues are GitLab issues and the user permissions are respected.</p>
            <a href="http://kanban.leanlabs.io/">Kanban.Leanlabs.io</a>
          </div>
        </div>
      </div> <!-- first row end -->

      <div class="row"> <!-- second row start -->
        <div class="col-md-4">
          <div class="app">
            <h4>Vivify Scrum</h4>
            <p>SaaS for agile project management.</p>
            <a href="https://www.vivifyscrum.com/">Vivify Scrum</a>
          </div>
        </div>
      </div> <!-- second row end -->

      <hr id="built-with-gitlab" />

      <h2>Built with GitLab</h2>

      <div class="row"> <!-- first row start -->
        <div class="col-md-4">
          <div class="app">
            <h4>La fabrique de la loi</h4>
            <p>This site <a href="http://www.lafabriquedelaloi.fr/a-propos.html">uses GitLab</a> to store French laws in git and make the lawmaking process visual.</p>
            <a href="http://www.lafabriquedelaloi.fr/articles.html?loi=pjl12-689">lafabriquedelaloi.fr</a>
          </div>
        </div>

        <div class="col-md-4">
          <div class="app">
            <h4>Perforce Helix GitSwarm</h4>
            <p>Perforce Helix GitSwarm is a git collaboration tool built on GitLab.</p>
            <a href="http://www.perforce.com/git">perforce.com/git</a>
          </div>
        </div>
      </div> <!-- first row end -->

      <div class="row"> <!-- second row start -->
        <div class="col-md-4">
          <div class="app">
            <h4>O'Reilly Atlas</h4>
            <p>Technical publisher O'Reilly Media has build their own frontend on top of a GitLab backend.
              The published a <a href="https://www.youtube.com/watch?v=IHEbYsaKW9Y&feature=youtu.be">video of the app</a>.
              They open sourced the <a href="https://github.com/oreillymedia/backbone-gitlab/">Backbone for GitLab API library</a> they developed for this.</p>
            <a href="https://atlas.oreilly.com/">atlas.oreilly.com</a>
          </div>
        </div>

        <div class="col-md-4">
          <div class="app">
            <h4>Penflip</h4>
            <p>This authoring site for writing books is <a href="https://twitter.com/madebyloren/status/468917323588698112">built with a fork of GitLab.</a></p>
            <a href="https://www.penflip.com/">penflip.com</a>
          </div>
        </div>
      </div> <!-- second row end -->

      <hr id="runners" />
      <h2>GitLab Runners</h2>

      <div class="row">
        <div class="col-md-4">
          <div class="app">
            <h4>Official GitLab Runner</h4>
            <p>Written in Go, supported on multiple operating systems and includes Docker support.</p>
            <a href="https://gitlab.com/gitlab-org/gitlab-ci-multi-runner#installation">Official GitLab Runner</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
            <h4>Unofficial GitLab Runner for Scala/Java</h4>
            <p>An unofficial GitLab Runner written in Java, it has less features than <a href="https://gitlab.com/gitlab-org/gitlab-ci-multi-runner">our official Runner</a>, use at your own risk.</p>
            <a href="https://github.com/nafg/gitlab-ci-runner-scala">Unofficial GitLab Runner for Scala/Java</a>
          </div>
        </div>
        <div class="col-md-4">
          <div class="app">
            <h4>Unofficial GitLab Runner for Node</h4>
            <p>An unofficial GitLab Runner written in Node, it has less features than <a href="https://gitlab.com/gitlab-org/gitlab-ci-multi-runner">our official Runner</a>, use at your own risk.</p>
            <a href="https://www.npmjs.com/package/gcr">Unofficial GitLab Runner for Node</a>
          </div>
        </div>
      </div>

    </div>
  </div>
</div>
